Bug 1385034 - [DOCS] Document workaround for enabling backwards compatibility of ceph 2 client against ceph 1.3 server
Summary: [DOCS] Document workaround for enabling backwards compatibility of ceph 2 cli...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Don Domingo
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On: 1384079
Blocks: 1387414
TreeView+ depends on / blocked
 
Reported: 2016-10-14 15:16 UTC by John Fulton
Modified: 2017-01-17 01:24 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
When upgrading or deploying a Red Hat OpenStack Platform environment integrated with an external Ceph Storage Cluster from an earlier version (that is, Red Hat Ceph Storage 1.3), you need to enable backwards compatibility. To do so, add an environment file containing the following snippet to your upgrade/deployment: parameter_defaults: ExtraConfig: ceph::conf::args: client/rbd_default_features: value: "1"
Clone Of:
: 1388515 (view as bug list)
Environment:
Last Closed: 2017-01-17 01:24:15 UTC
Target Upstream Version:
ddomingo: needinfo+


Attachments (Terms of Use)

Description John Fulton 2016-10-14 15:16:45 UTC
OSP10 ships RHSC2 and stands up RHSC2 ceph clusters but it also must support an external Ceph cluster which could be running RHCS1.3. To support this configuration overcloud nodes which are ceph clients need "rbd default features = 1" in the [client] section of their ceph.conf. OSPd doesn't have an option to configure this so this BZ requests that be an option in THT and that puppet-ceph support this option as user configurable.

Comment 1 John Fulton 2016-10-14 16:25:53 UTC
raising request for pm_ack+ for blocker? bug

Comment 2 John Fulton 2016-10-15 21:09:52 UTC
After applying the changes from the following two upstream patches: 

 https://review.openstack.org/386972
 https://review.openstack.org/283359 

and adding the following to my Heat environment file: 

  ExtraConfig:
    ceph::profile::params::rbd_default_features: '1'

I was able to get a deploy with the following ceph.conf on my compute node (a ceph client): 

[root@overcloud-novacompute-0 ~]# cat /etc/ceph/ceph.conf

[global]
osd_pool_default_min_size = 1
auth_service_required = cephx
mon_initial_members = overcloud-controller-0,overcloud-controller-1,overcloud-controller-2
fsid = 63089b2a-930d-11e6-aba5-525400330666
cluster_network = 192.168.1.26/24
auth_supported = cephx
auth_cluster_required = cephx
mon_host = 172.16.1.23,172.16.1.16,172.16.1.24
auth_client_required = cephx
public_network = 172.16.1.18/24

[client]
rbd_default_features = 1
[root@overcloud-novacompute-0 ~]# 

Next step is to get the change merged upstream.

Comment 3 Giulio Fidente 2016-10-17 11:10:04 UTC
Alternatively, as a workaround measure, the overcloud can be deployed with an environment file like the following:

parameter_defaults:
  ExtraConfig:
    ceph::conf::args:
      client/rbd_default_features:
        value: "1"

Comment 4 John Fulton 2016-10-25 12:58:26 UTC
Updating doctext as comment #3 indicates that the fix is supported. The user just needs to use the extra Heat form comment #3.

Comment 5 John Fulton 2016-10-25 14:10:10 UTC
In OSP10, compatibility with Ceph1.3 is only supported if the Ceph cluster is external. Marking this bug as depends on 1384079 because it prevents OSP10 from working with an external Ceph cluster.

Comment 6 John Fulton 2016-10-25 14:41:43 UTC
This is not a blocker for OSP10 since the user may simply use an environment file like the following:

parameter_defaults:
  ExtraConfig:
    ceph::conf::args:
      client/rbd_default_features:
        value: "1"

Marking this bug as POST so that testing may be done using the above. The proposed upstream fix linked from upstream LP bug 1633552 may be used for OSP11 (clonned this to 1388515 targetted for OSP11 for that purposed).

Comment 7 Mike Burns 2016-10-31 15:26:55 UTC
Should this be documented (in which case, this should be assigned and in the documentation component).  If not, please add the TestOnly keyword.

Comment 8 John Fulton 2016-10-31 15:40:03 UTC
Yes, this should be documented. Apologies, I thought adding doctext and ticking requires_doc_text was sufficient. I have assigned it to the documentation component.

Comment 9 Lucy Bopf 2016-11-02 03:44:46 UTC
Moving to 'NEW' to be triaged as resources allow.

Comment 10 John Fulton 2016-11-11 19:26:43 UTC
FYI on an additional verification: QE has verified that using the extra parms from comment #6 is necessary when using OSP10 with an external Red Hat Ceph Server of version 1.3. See this BZ: 

 https://bugzilla.redhat.com/show_bug.cgi?id=1393581

Thus, it's important that this be included in the OSP10 w/ Ceph docs.

Comment 11 John Fulton 2016-11-15 21:33:03 UTC
FYI: upstream documentation on using OSP10 with an extenral Ceph 1.3 server is in review at https://review.openstack.org/#/c/397825/ .

Comment 18 Dan Macpherson 2016-12-01 04:57:14 UTC
This was vetted by me. Don, not sure if you merged this already. If not, please feel free to do so.


Note You need to log in before you can comment on or make changes to this bug.